   echo off
REM NECInputClean:
REM	This batch file pre-processes an input card deck for NEC by:
REM	   a) removing blank lines.
REM	   b) converting tabs into spaces.
REM	   c) removing trailing non-printing characters from each line.
REM        d) converting multiple consecutive spaces to a single space.
REM        e) lining up the data on wire geometry cards into columns.
REM        f) time-stamping the top of the card deck.
REM
REM Call:
REM	NECInputClean filename
REM
REM Parameters:
REM	filename: [mandatory] name of NEC4 .txt input file.  Filename assumed to have .TXT extension
REM
REM Requires:
REM	NECInputClean.awk - gawk routine to clean the input file.
REM
REM Inputs:
REM	filename.txt - NEC4 input file.
REM
REM Outputs:
REM	filename.nec - cleaned-up NEC4 input file.
REM ===============================================================

REM Clear screen, set title of the window.
   cls
   title NECInputClean

REM save old path; set new path
   setlocal
   set GAWKHOME=D:\Program Files\GMT\bin
   set NECHOME=D:\Program Files\GNEC\BIN
   set path=%PATH%;%GAWKHOME%;%NECHOME%

REM Remove previous version of NEC file.
   del %1.nec

REM Strip out blank lines.
   echo Cleaning up the input file...
   gawk -f NECInputClean.awk %1.txt >%1.nec

REM restore old path
   endlocal
   title Command Prompt
